POST api/NTNonInjury/UpdateSymptoms
Request Information
URI Parameters
None.
Body Parameters
NonInjurySymptomsDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| DateOfExposure | date |
None. |
|
| DateOfSymptomsBegan | date |
None. |
|
| InjurySymptoms | string |
String length: inclusive between 0 and 500 |
|
| WorkAreaFrequented | string |
String length: inclusive between 0 and 500 |
|
| LastDayWorked | date |
None. |
|
| IsEEDeniesSymptoms | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"DateOfExposure": "2026-08-04T14:28:36.0486127-07:00",
"DateOfSymptomsBegan": "2026-08-04T14:28:36.0486127-07:00",
"InjurySymptoms": "sample string 3",
"WorkAreaFrequented": "sample string 4",
"LastDayWorked": "2026-08-04T14:28:36.0486127-07:00",
"IsEEDeniesSymptoms": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:28:36.0486127-07:00",
"DateUpdated": "2026-08-04T14:28:36.0486127-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfNonInjurySymptomsDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | NonInjurySymptomsDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"DateOfExposure": "2026-08-04T14:28:36.0486127-07:00",
"DateOfSymptomsBegan": "2026-08-04T14:28:36.0486127-07:00",
"InjurySymptoms": "sample string 3",
"WorkAreaFrequented": "sample string 4",
"LastDayWorked": "2026-08-04T14:28:36.0486127-07:00",
"IsEEDeniesSymptoms": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:28:36.0486127-07:00",
"DateUpdated": "2026-08-04T14:28:36.0486127-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
"totalCount": 3
}